<html>
<! Copyright (c) Realtek Semiconductor Corp., 2004. All Rights Reserved. ->
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Auto Config</title>
<script type="text/javascript" src="common.js"> </script>
<style>
.on {display:on}
.off {display:none}
body {
	background-color: #CBE9EF;
}
.style1 {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	font-size: 13px;
}
.style3 {
	font-size: 13px;
	font-family: Arial, Helvetica, sans-serif;
}
.style4 {font-family: Arial, Helvetica, sans-serif}
.style5 {color: #006699}
.style6 {color: #000000}
</style>
<script>
var isKeyInstall, isClient, isAdhoc, wlanDisabled, disableQstFirst=0;

var MWJ_progBar = 0;
var time=0;
var delay_time=1000;
var loop_num=0;

function disableCheckBox (checkBox) {
  if (!checkBox.disabled) {
    checkBox.disabled = true;
    if (!document.all && !document.getElementById) {
      checkBox.storeChecked = checkBox.checked;
      checkBox.oldOnClick = checkBox.onclick;
      checkBox.onclick = preserve;
    }
  }
}

function enableCheckBox (checkBox)
{
  if (checkBox.disabled) {
    checkBox.disabled = false;
    if (!document.all && !document.getElementById)
      checkBox.onclick = checkBox.oldOnClick;
  }
}

function setColour( a ) 
{
  //change all the different colour styles
  var theDiv = getRefToDivNest( this.id ); if( theDiv.style ) { theDiv = theDiv.style; }
  theDiv.bgColor = a; theDiv.backgroundColor = a; theDiv.background = a;
}


function disableButton (button) {
  //if (verifyBrowser() == "ns")
  //	return;
  if (document.all || document.getElementById)
    button.disabled = true;
  else if (button) {
    button.oldOnClick = button.onclick;
    button.onclick = null;
    button.oldValue = button.value;
    button.value = 'DISABLED';
  }
}

function enableButton (button) {
  //if (verifyBrowser() == "ns")
  //	return;
  if (document.all || document.getElementById)
    button.disabled = false;
  else if (button) {
    button.onclick = button.oldOnClick;
    button.value = button.oldValue;
  }
}

function resetBar( a, b ) 
{
  //work out the required size and use various methods to enforce it
  this.amt = ( typeof( b ) == 'undefined' ) ? a : b ? ( this.amt + a ) : ( this.amt - a );
  if( isNaN( this.amt ) ) { this.amt = 0; } if( this.amt > 1 ) { this.amt = 1; } if( this.amt < 0 ) { this.amt = 0; }
  var theWidth = Math.round( this.width * ( ( this.dir % 2 ) ? this.amt : 1 ) );
  var theHeight = Math.round( this.height * ( ( this.dir % 2 ) ? 1 : this.amt ) );
  var theDiv = getRefToDivNest( this.id ); if( !theDiv ) { window.status = 'Progress: ' + Math.round( 100 * this.amt ) + '%'; return; }
  if( theDiv.style ) { theDiv = theDiv.style; theDiv.clip = 'rect(0px '+theWidth+'px '+theHeight+'px 0px)'; }
  var oPix = document.childNodes ? 'px' : 0;
  theDiv.width = theWidth + oPix; theDiv.pixelWidth = theWidth; theDiv.height = theHeight + oPix; theDiv.pixelHeight = theHeight;
  if( theDiv.resizeTo ) { theDiv.resizeTo( theWidth, theHeight ); }
  theDiv.left = ( ( this.dir != 3 ) ? 0 : this.width - theWidth ) + oPix; theDiv.top = ( ( this.dir != 4 ) ? 0 : this.height - theHeight ) + oPix;
}


function disableTextField (field) {
  if (document.all || document.getElementById)
    field.disabled = true;
  else {
    field.oldOnFocus = field.onfocus;
    field.onfocus = skip;
  }
}

function enableTextField (field) {
  if (document.all || document.getElementById)
    field.disabled = false;
  else {
    field.onfocus = field.oldOnFocus;
  }
}

function progressBar( oBt, oBc, oBg, oBa, oWi, oHi, oDr ) 
{
  MWJ_progBar++; this.id = 'MWJ_progBar' + MWJ_progBar; this.dir = oDr; this.width = oWi; this.height = oHi; this.amt = 0;
  //write the bar as a layer in an ilayer in two tables giving the border
  document.write( '<span id = "progress_div" class = "off" > <table border="0" cellspacing="0" cellpadding="'+oBt+'">'+
	'<tr><td>Please wait...</td></tr><tr><td bgcolor="'+oBc+'">'+
		'<table border="0" cellspacing="0" cellpadding="0"><tr><td height="'+oHi+'" width="'+oWi+'" bgcolor="'+oBg+'">' );
  if( document.layers ) {
	document.write( '<ilayer height="'+oHi+'" width="'+oWi+'"><layer bgcolor="'+oBa+'" name="MWJ_progBar'+MWJ_progBar+'"></layer></ilayer>' );
  } else {
	document.write( '<div style="position:relative;top:0px;left:0px;height:'+oHi+'px;width:'+oWi+';">'+
			'<div style="position:absolute;top:0px;left:0px;height:0px;width:0;font-size:1px;background-color:'+oBa+';" id="MWJ_progBar'+MWJ_progBar+'"></div></div>' );
  }
  document.write( '</td></tr></table></td></tr></table></span>\n' );
  this.setBar = resetBar; //doing this inline causes unexpected bugs in early NS4
  this.setCol = setColour;
}


function progress()
{
  if (loop_num == 3) {
	alert("Do EasyConfig failed!");
	return false;
  }
  if (time < 1) 
	time = time + 0.033;
  else {
	time = 0;
	loop_num++;
  }
  setTimeout('progress()',delay_time);  
  myProgBar.setBar(time); 
}

function enableButtonMode()
{
  if (!isClient)
	enableButton(document.formAutoCfg.buttonClicked);
  if (isClient)
  	enableButton(document.formAutoCfg.doConfigButton);	
}

function disableButtonMode()
{
  if (!isClient)
	disableButton(document.formAutoCfg.buttonClicked);
  if (isClient)
  	disableButton(document.formAutoCfg.doConfigButton);	
}

function enableQuestionMode()
{
  if (disableQstFirst && !(isClient && isAdhoc))
  	disableCheckBox(document.formAutoCfg.firstCfg);
  else
  	enableCheckBox(document.formAutoCfg.firstCfg);
  enableTextField(document.formAutoCfg.q1);
  enableTextField(document.formAutoCfg.q1ans);
  enableTextField(document.formAutoCfg.q2);
  enableTextField(document.formAutoCfg.q2ans);
  if (isClient)
  	enableButton(document.formAutoCfg.doConfigQuestion);  
}

function disableQuestionMode()
{
  disableCheckBox(document.formAutoCfg.firstCfg);
  disableTextField(document.formAutoCfg.q1);
  disableTextField(document.formAutoCfg.q1ans);
  disableTextField(document.formAutoCfg.q2);
  disableTextField(document.formAutoCfg.q2ans);
  if (isClient)
  	disableButton(document.formAutoCfg.doConfigQuestion);  
}

function updateState()
{
  if (wlanDisabled) {
  	disableTextField(document.formAutoCfg.cfgEnabled);  
	disableButton(document.formAutoCfg.save);   	
  }
  if (wlanDisabled || !document.formAutoCfg.cfgEnabled.checked) {
	disableTextField(document.formAutoCfg.mode);
	disableButtonMode();
	disableQuestionMode();
	disableButton(document.formAutoCfg.deletekey);	
	if (!isClient)
		disableButton(document.formAutoCfg.buttonClicked);  		
	else {
		disableButton(document.formAutoCfg.doConfigButton);  
		disableButton(document.formAutoCfg.doConfigQuestion); 
	}		
  }
  else {
	enableTextField(document.formAutoCfg.mode);
	if (document.formAutoCfg.mode.selectedIndex==0) {
		enableButtonMode();
		disableQuestionMode();
	}
	else if (document.formAutoCfg.mode.selectedIndex==1) {
		disableButtonMode();
		enableQuestionMode();
	}
	else {
		enableButtonMode();
		enableQuestionMode();
	}
	if (isKeyInstall)
		enableButton(document.formAutoCfg.deletekey);
	else
		disableButton(document.formAutoCfg.deletekey);			
  }
}

function saveChanges()
{
   return true;
}

function onButtonClicked()
{
  if (!document.formAutoCfg.cfgEnabled.checked ||
  		document.formAutoCfg.mode.selectedIndex==1)
	return false;
  return true;
}

function onDeleteClicked()
{
  if (!document.formAutoCfg.cfgEnabled.checked || !isKeyInstall)
	return false;
  return true;
}

function onDoConfigButton(F)
{
  if (!document.formAutoCfg.cfgEnabled.checked)
	return false;
 
  //F.submit();
  show_div(true, "progress_div");   
  progress();  
  
  return true;
}

function onDoConfigQuestion(F)
{
  if (!document.formAutoCfg.cfgEnabled.checked)
	return false;

  if (document.formAutoCfg.q1ans.value=="") {
  	alert('Question 1 answer cannot be empty!');
	document.formAutoCfg.q1.focus();
	return false;
  }
  if (document.formAutoCfg.q1.selectedIndex != 0 &&
	document.formAutoCfg.q1ans.value.length != 4) {
 	alert('Question 1 answer should be 4 digits!');
	document.formAutoCfg.q1.focus();
	return false;
  }
  if (document.formAutoCfg.q2ans.value=="") {
  	alert('Question 2 answer cannot be empty!');
	document.formAutoCfg.q2.focus();
	return false;
  }
  
  //F.submit();
  show_div(true, "progress_div");   
  progress();  
  
  return true;
}

</script>
</head>

<body>

<div id="Layer1" style="position:absolute; left:0px; top:40px; width:1px; height:400px; z-index:1"></div>
<blockquote>  
  <font face="Arial, Helvetica, sans-serif" size="4"><span class="style5">Wireless EasyConfig</span></font><font color="#8FB4B4" face="Arial, Helvetica, sans-serif" size="4">  
  <% if (getIndex("wlan_num") > 1) write("-wlan"+(getIndex("wlan_idx")+1)); %>
  </font> <br>

  <table width="500" border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td>
        <hr size=1 noshade align=top>
      </td>
    </tr>
  </table>
<br>

<form action=/goform/formAutoCfg method=POST name="formAutoCfg">
<table border=0 width="500" cellspacing=4 cellpadding=0>

<script>
    <% val = getIndex("wlanMode");      
      if (val==1) 
	write ("isClient=1;");     
      else
	write ("isClient=0;");		
      onlyWDS = 0;
      if (val == 2)
      	onlyWDS = 1;
      val = getIndex("networkType");
      if (val == 0)
 	write ("isAdhoc=0;");
      else
	write ("isAdhoc=1;");		
      val = getIndex("autoCfgKeyInstall");
      if (val)
	write ("isKeyInstall=1;");
      else
	write ("isKeyInstall=0;");
      if (onlyWDS) 
      	write ("wlanDisabled=1;");    
      else {	
      	if (getIndex("wlanDisabled"))
      		write ("wlanDisabled=1;"); 
      	else
        	write ("wlanDisabled=0;");    	
      }
    %>
</script>

<tr><td width="100%" colspan=3><font size=2><b>
   	<input type="checkbox" name="cfgEnabled" value="ON" <% if (getIndex("autoCfgEnabled")) write("checked");
   	%> ONCLICK=updateState()><font face="Arial, Helvetica, sans-serif" color="#000000">&nbsp;<span class="style1">&nbsp;</span></font></b><span class="style1"><font face="Arial, Helvetica, sans-serif">Enable EasyConfig</font></span>
    </td>
</tr>

<tr>
    <td width="35%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><span class="style1">Configure Method:</span></td>
    <td width="30%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><select size="1" name="mode" onChange="updateState()">
	<%  val = getIndex("wlanMode");
	  mode = getIndex("autoCfgMode");
	  if ( val != 1 ) {		
		if (mode == 1) {
			write( "<option selected value=\"1\">Button</option>\n");
   	  		write( "<option value=\"2\">Q&A</option>\n");
   	  		write( "<option value=\"3\">Button + Q&A</option>\n");
		}
		if (mode == 2) {
			write( "<option value=\"1\">Button</option>\n");
   	  		write( "<option selected value=\"2\">Q&A</option>\n");
   	  		write( "<option value=\"3\">Button + Q&A</option>\n");
		}
		if (mode == 3) {
			write( "<option value=\"1\">Button</option>\n");
   	  		write( "<option value=\"2\">Q&A</option>\n");
   	  		write( "<option selected value=\"3\">Button + Q&A</option>\n");
		}
      	  }
	  else {
		is_adhoc = getIndex("networkType");  
		if (mode == 3) {
			if (is_adhoc == 0)
				mode = 1;
		}		
		if (mode == 1) {
			write( "<option selected value=\"1\">Button</option>\n");
   	  		write( "<option value=\"2\">Q&A</option>\n");
		   if (is_adhoc != 0)
			write( "<option value=\"3\">Button + Q&A</option>\n");     	  		
		}
		if (mode == 2) {
			write( "<option value=\"1\">Button</option>\n");
   	  		write( "<option selected value=\"2\">Q&A</option>\n");
		   if (is_adhoc != 0)
			write( "<option value=\"3\">Button + Q&A</option>\n");        	  		
   		}
   		if (mode == 3) {
			write( "<option value=\"1\">Button</option>\n");
   	  		write( "<option value=\"2\">Q&A</option>\n");
		  	write( "<option selected value=\"3\">Button + Q&A</option>\n");   
   		}
      	  } %>
	 </select></td>
    <td width="35%">
    <script>
	if (isClient) {
		document.write("<input type=\"submit\" value=\"Apply Changes\" name=\"save\"");
		document.write("onClick=\"return saveChanges()\">");
	}
	else {
		document.write("<input type=\"submit\" value=\"Waiting Button Mode Request\"");
		document.write("name=\"buttonClicked\" onClick=\"return onButtonClicked()\">");
  	}
    </script>
    </td>
</tr>

<script>
  if (!isClient) {
	document.write("</table>\n");
	document.write("<span id = \"hide_div\" class = \"off\">\n");
	document.write("<table border=\"0\" width=500>\n");
  }
</script>

<tr><td width="100%" colspan=3 height=40><font size=2><b>
   	<input type="checkbox" name="firstCfg" value="ON">
		&nbsp;<span class="style3">&nbsp;CC</span></b><span class="style3">First Time Configuration</span>
    </td>
</tr>
<tr><td width="100%" colspan=3 align=top><font size=2><span class="style1">Question 1:</span></td><tr>
<tr><td width="20%" align=right><font size=2><b class="style3">Pick up one question:</b></td>
    <td width="80%" colspan=2><font size=2><b><select size="1" name="q1"">
    <option selected value="1">Your lucky number (no more than 4 digits) ?</option>
    <option value="2">Last 4 number of your ID ?</option>
    <option value="3">Last 4 number of your phone ?</option>
    </select></b></td>
</tr>
<tr><td width="20%" align=right class="style1"><font size=2><b>Answer:</b></td>
    <td width="80%" colspan=2><font size=2><input type="text" name="q1ans" size="20"
     maxlength="4"></td>
</tr>
<tr><td width="100%" colspan=3 class="style1"><font size=2><b>Question 2:</b></td><tr>
<tr><td width="20%" align=right class="style3"><span class="style4"><font size=2><b>Pick up one question:</b></span></td>
    <td width="80%" colspan=2><font size=2><b><select size="1" name="q2"">
    <option selected value="1">Your favorite person ?</option>
    <option value="2">Your favorite country or place ?</option>
    <option value="3">Your favorite sport ?</option>
    </select></b></td>
</tr>
<tr><td width="20%" align=right class="style3"><span class="style4"><font size=2><b>Answer:</b></span></td>
    <td width="80%" colspan=2><font size=2><input type="text" name="q2ans" size="20"
     maxlength="20"></td>
</tr>

<script>
  if (!isClient) {
	document.write("</table>\n");
	document.write("</span>\n");
	document.write("<table border=\"0\" width=500>\n");
  }
</script>
<tr><td width="100%" colspan=3 height=40>
     <input type="hidden" value="/wlautocfg_content.asp" name="submit-url">
<script>
  if (isClient) {
	document.write("<input type=\"submit\" value=\"Do EasyConfig (Button)\"");
	document.write("name=\"doConfigButton\" onClick=\"return onDoConfigButton(this.form)\">&nbsp;&nbsp;\n");
	
	document.write("<input type=\"submit\" value=\"Do EasyConfig (Q&A)\"");
	document.write("name=\"doConfigQuestion\" onClick=\"return onDoConfigQuestion(this.form)\">");	
  }
  else {
	document.write("<input type=\"submit\" value=\"Apply Changes\" name=\"save\"");
	document.write("onClick=\"return saveChanges()\">");
  }
</script>
</td></tr>
</table>
 
<script type="text/javascript" language="javascript1.2">
		var myProgBar = new progressBar(
			1,         //border thickness
			'#000000', //border colour
			'#ffffff', //background colour
			'#043db2', //bar colour
			350,       //width of bar (excluding border)
			15,        //height of bar (excluding border)
			1          //direction of progress: 1 = right, 2 = down, 3 = left, 4 = up
		);
</script>
 
<script>
  if (isClient && !isAdhoc)
	document.write("<span id = \"hide_div\" class = \"off\">\n");
</script>

<br>
<table border='0' width="500">
<tr><td><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><b>Current Key Info:</b></td></tr>

<table border='1' width="500">
<tr bgcolor=#7f7f7f>
   <td width="20%"><font size=2><b>Algorithm</b></td>
   <td width="50%"><font size=2><b>Encryption Key</b></td>
   <td width="30%"><font size=2><b>Q&A Installed</b></td>
</tr>

<tr>
   <td width="20%" bgcolor="#C0C0C0"><font size=2>
     <% val = getIndex("autoCfgKeyInstall");
      if ( val == 1 ) {
      	 getInfo("autoCfgAlgReq");
      }
      if (val == 0) {
      	 write("n/a");
      } %></td>
   <td width="50%" bgcolor="#C0C0C0"><font size=2>
     <% val = getIndex("autoCfgKeyInstall");
      if ( val == 1 ) {
      	 getInfo("autoCfgKey");
      }
      if (val == 0) {
      	 write("n/a");
      } %></td>
   <td width="30%" align=center bgcolor="#C0C0C0"><font size=2>
     <% val = getIndex("autoCfgDigestInstall");
        if (val == 1) {
		write("yes");
		write("<script>disableQstFirst=1;</script>");		
        }
 	if (val == 0) {
		write("no");
	}
	if (val == 2) {
		write("n/a");
	}
     %></td>
</tr>
</table>

<br>
<table border='0' width="500">
<tr><input type="submit" value="Delete Key" name="deletekey" onClick="return onDeleteClicked()">
</tr>
</table>
</table>

<script>
  if (isClient && !isAdhoc)
	document.write("</span>\n");
  updateState();
</script>

</form>
</blockquote>
</body>
</html>
