#!/bin/sh
FIRSTDDNS=/var/firstddns
DHCPCOLDIP=/var/dhcpcoldip
OLDIP=/var/oldip
LINKFILE=/etc/ppp/link
renew=1
num=0
if [ ! -f $FIRSTDDNS ] || [ $1 = 'option' ]; then
{
	echo "pass" > $FIRSTDDNS
	while [ true ];do
  		num=`expr $num + 1`
  		if [ $num -ge 8640 ]; then
    		num=0
    		renew=1
  		fi
  		sleep 10

  		eval `flash get DDNS_ENABLED`
  		if [ ! -f $FIRSTDDNS ]; then
    		break
  		fi
  		if [ $DDNS_ENABLED = 0 ]; then
    		rm -f $FIRSTDDNS
    		break
  		fi

  		eval `flash get WAN_DHCP`
		#maxchang: WAN mode is configured as static IP
  		if [ $WAN_DHCP = 0 ]; then
   			if [ $renew != 1 ]; then
     			continue
   			fi
  		fi

  		eval `flash get OP_MODE`
  		#maxchang: WAN mode is configured as DHCPC
  		if [ $WAN_DHCP = 1 ]; then
   			if [ $OP_MODE = 0 ]; then
    			s1=`ifconfig eth1 | grep "inet addr"`
   			elif [ $OP_MODE = 2 ]; then
    			s1=`ifconfig wlan0 | grep "inet addr"`
   			fi

   			s2=`echo $s1 | cut -f2 -d:`
   			s3=`echo $s2 | cut -f1 -d " "`
   			if [ -z $s3 ]; then
     			continue
   			fi
   			if [ ! -f $DHCPCOLDIP ]; then
    			echo "0.0.0.0" > $DHCPCOLDIP
   			fi
   			str=`cat $DHCPCOLDIP`
   			if [ $renew != 1 ] && [ $s3 = $str ]; then
     			continue
   			fi
  		fi

  		#modified for L2TP by Richard H.
  		if [ $WAN_DHCP = 3 ] || [ $WAN_DHCP = 4 ] || [ $WAN_DHCP = 5 ]; then
   			if [ ! -f $LINKFILE ]; then
     			continue
   			fi

       		s1=`ifconfig ppp0 | grep "inet addr"`
       		s2=`echo $s1 | cut -f2 -d:`
       		s3=`echo $s2 | cut -f1 -d " "`
       		if [ ! -f $OLDIP ]; then
        		echo "0.0.0.0" > $OLDIP
       		fi
       		str=`cat $OLDIP`
       		if [ $renew != 1 ] && [ $s3 = $str ]; then
         		continue
       		fi
  		fi

		eval `flash get DDNS_TYPE`
        eval `flash get DDNS_DOMAIN_NAME`
        eval `flash get DDNS_USER`
        eval `flash get DDNS_PASSWORD`

		#it's not necessary to run, marked by Richard H.,2005/11/23
  		#eval `flash get DNS_MODE`
 		#if [ $WAN_DHCP = 0 ] || [ $DNS_MODE = 1 ]; then
	   	#	eval `flash get DNS1`
        #	if [ $DNS1 != 0.0.0.0 ]; then
        #		echo "nameserver $DNS1" > /etc/resolv.conf
        #	fi
        #	eval `flash get DNS2`
        #	if [ $DNS2 != 0.0.0.0 ]; then
        #		echo "nameserver $DNS2" >> /etc/resolv.conf
        #	fi
        #	eval `flash get DNS3`
        #	if [ $DNS3 != 0.0.0.0 ]; then
        #		echo "nameserver $DNS3" >> /etc/resolv.conf
        #	fi
  		#fi

  		#modified for L2TP by Richard H.
  		if [ $WAN_DHCP = 3 ] || [ $WAN_DHCP = 4 ] || [ $WAN_DHCP = 5 ]; then
    		if [ $DDNS_TYPE = 0 ]; then
      			updatedd -S dyndns $DDNS_USER:$DDNS_PASSWORD $DDNS_DOMAIN_NAME
      			ret=`echo $?`
    		else
            	updatedd -S tzo $DDNS_USER:$DDNS_PASSWORD $DDNS_DOMAIN_NAME
      			ret=`echo $?`
      		fi

        	if [ $ret = 0 ]; then
          		echo $s3 > $OLDIP
          		num=0
          		renew=0
        	fi
  		else
    		if [ $DDNS_TYPE = 0 ]; then
      			updatedd -S dyndns $DDNS_USER:$DDNS_PASSWORD $DDNS_DOMAIN_NAME
      			ret=`echo $?`
      		else
      			updatedd -S tzo $DDNS_USER:$DDNS_PASSWORD $DDNS_DOMAIN_NAME
      			ret=`echo $?`
    		fi

    		if [ $ret = 0 ]; then
      		#maxchang: update the latest IP from dynamic dns server
      			echo $s3 > $DHCPCOLDIP
      			num=0
      			renew=0
    		fi
  		fi
	done
} &
fi

