#!/bin/sh
PIDFILE=/var/run/dnrd.pid
RESOLV_PPP=/etc/ppp/resolv.conf
RESOLV=/etc/resolv.conf
{
while [ true ]; do
    #find all processes with keyword "dnrd" and count
    line=0
    ps -A | grep dnrd > /tmp/dnrd_tmp
    line=`cat /tmp/dnrd_tmp | wc -l`
    num=1
    live=0
    while [ $num -le $line ];
    do
        pat0=` head -n $num /tmp/dnrd_tmp | tail -n 1`
        pat1=`echo $pat0 | cut -f5 -d " "`
        if [ "$pat1" = 'dnrd' ]; then
            live=`expr $live + 1`
        fi
        num=`expr $num + 1`
    done

    #check the live num to resume the process
    if [ "$live" = '0' ]; then
		echo 'process DNRD disappear, restart this service!!'
		eval `flash get DNS_MODE`
		eval `flash get WAN_DHCP`
		eval `flash get DNS1`
		eval `flash get DNS2`
		eval `flash get DNS3`

        rm -f $PIDFILE

        if [ $WAN_DHCP = 3 ] || [ $WAN_DHCP = 4 ] || [ $WAN_DHCP = 5 ]; then
            RESOLV="$RESOLV_PPP"
        fi

        DNS=""
		if [ $DNS_MODE = 0 ]; then
        {
			line=0
            cat $RESOLV | grep nameserver > /tmp/ddfile
            line=`cat /tmp/ddfile | wc -l`
            num=1
            while [ $num -le $line ];
            do
                pat0=` head -n $num /tmp/ddfile | tail -n 1`
                pat1=`echo $pat0 | cut -f2 -d " "`
                DNS="$DNS -s $pat1"
                num=`expr $num + 1`
            done
        }
        else
        {
            # start DNS relay
            if [ "$DNS1" != '0.0.0.0' ]; then
                DNS="-s $DNS1"
            fi
            if [ "$DNS2" != '0.0.0.0' ]; then
                DNS="$DNS -s $DNS2"
            fi
            if [ "$DNS3" != '0.0.0.0' ]; then
                DNS="$DNS -s $DNS3"
            fi
        }
        fi
        echo restart DNS Relay Daemon
        if [ "$DNS" != "" ]; then
            dnrd $DNS
		fi
    fi
    rm -f /tmp/dnrd_tmp
    sleep 20
done
} &
