#!/bin/sh

eval `flash get STATICROUTE_ENABLED`
eval `flash get STATICROUTE_TBL_NUM`

if [ $STATICROUTE_TBL_NUM -gt 0 ];
then
  num=1
  while [ $num -le $STATICROUTE_TBL_NUM ];
  do
    STATICROUTE_TBL=`flash get STATICROUTE_TBL | grep STATICROUTE_TBL$num`
    tmp=`echo $STATICROUTE_TBL | cut -f2 -d=`
    dstIp=`echo $tmp | cut -f1 -d,`
    netmask=`echo $tmp | cut -f2 -d,`
    gateway=`echo $tmp | cut -f3 -d,`
    route del -net $dstIp netmask $netmask gw $gateway
    num=`expr $num + 1`
  done
fi

if [ $STATICROUTE_TBL_NUM -gt 0 ] && [ $STATICROUTE_ENABLED -gt 0 ];
then
  num=1
  while [ $num -le $STATICROUTE_TBL_NUM ];
  do
    STATICROUTE_TBL=`flash get STATICROUTE_TBL | grep STATICROUTE_TBL$num`
    tmp=`echo $STATICROUTE_TBL | cut -f2 -d=`
    dstIp=`echo $tmp | cut -f1 -d,`
    netmask=`echo $tmp | cut -f2 -d,`
    gateway=`echo $tmp | cut -f3 -d,`
    metric=`echo $tmp | cut -f4 -d,`
    if [ $metric = 0 ];then
        route add -net $dstIp netmask $netmask gw $gateway
    else
        route add -net $dstIp netmask $netmask gw $gateway metric $metric
    fi
    num=`expr $num + 1`
  done
fi