<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Wireless Advanced Setting</title>
<% language=javascript %>
<script type="text/javascript" src="common.js"> </script>
<SCRIPT>
function validateNum(str)
{
  for (var i=0; i<str.length; i++) {
   	if ( !(str.charAt(i) >='0' && str.charAt(i) <= '9')) {
		alert("Invalid value. It should be in decimal number (0-9).");
		return false;
  	}
  }
  return true;
}
function saveChanges()
{
  if ( validateNum(document.advanceSetup.fragThreshold.value) == 0 ) {
  	document.advanceSetup.fragThreshold.focus();
	return false;
  }
  num = parseInt(document.advanceSetup.fragThreshold.value);
  if (document.advanceSetup.fragThreshold.value == "" || num < 256 || num > 2346) {
  	alert('Invalid value of Fragment Threshold. Input value should be between 256-2346 in decimal.');
  	document.advanceSetup.fragThreshold.focus();
	return false;
  }

  if ( validateNum(document.advanceSetup.rtsThreshold.value) == 0 ) {
  	document.advanceSetup.rtsThreshold.focus();
	return false;
  }
  num = parseInt(document.advanceSetup.rtsThreshold.value);
  if (document.advanceSetup.rtsThreshold.value=="" || num > 2347) {
  	alert('Invalid value of RTS Threshold. Input value should be between 0-2347 in decimal.');
  	document.advanceSetup.rtsThreshold.focus();
	return false;
  }

  if ( validateNum(document.advanceSetup.beaconInterval.value) == 0 ) {
  	document.advanceSetup.beaconInterval.focus();
	return false;
  }
  num = parseInt(document.advanceSetup.beaconInterval.value);
  if (document.advanceSetup.beaconInterval.value=="" || num < 20 || num > 1024) {
  	alert('Invalid value of Beacon Interval. Input value should be between 20-1024 in decimal.');
  	document.advanceSetup.beaconInterval.focus();
	return false;
  }
  
  if ( validateNum(document.advanceSetup.inactivityTime.value) == 0 ) {
  	document.advanceSetup.inactivityTime.focus();
	return false;
  }
  num = parseInt(document.advanceSetup.inactivityTime.value);
  if (document.advanceSetup.inactivityTime.value=="" || num < 100 || num > 60480000) {
  	alert('Invalid value of Inactivity Time. Input value should be between 100-60480000 in decimal.');
  	document.advanceSetup.inactivityTime.focus();
	return false;
  }

  if(document.advanceSetup.watchdogEnabled.checked) {
    if ( validateNum(document.advanceSetup.watchdogInterval.value) == 0 ) {
  	    document.advanceSetup.watchdogInterval.focus();
	    return false;
    }
    num = parseInt(document.advanceSetup.watchdogInterval.value);
    if (document.advanceSetup.watchdogInterval.value=="" || num < 1 || num > 60) {
  	    alert('Invalid value of Watchdog Interval. Input value should be between 1-60 in decimal.');
  	    document.advanceSetup.watchdogInterval.focus();
	    return false;
    }
    if ( checkIpAddr(document.advanceSetup.watchdogIpaddr, 'Invalid IP address value! ') == false )
        return false;
  }

  return true;
}

function func_onload(form) {
    func_watchdog(form);
}

function func_watchdog(form) {
    if(form.watchdogEnabled.checked) {
        form.watchdogEnabled.value="ON";
        enableTextField(form.watchdogInterval);
        enableTextField(form.watchdogIpaddr);
    }
    else {
        form.watchdogEnabled.value="OFF";
        disableTextField(form.watchdogInterval);
        disableTextField(form.watchdogIpaddr);
    }
}

</SCRIPT>
<style type="text/css">
<!--
body {
	background-color: #CBE9EF;
}
.style1 {color: #006699}
.style3 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 14px;
	color: #000000;
	font-weight: bold;
}
.style4 {font-family: Arial, Helvetica, sans-serif}
-->
</style><body onload="func_onload(document.advanceSetup);">
<blockquote>
  <font face="Arial, Helvetica, sans-serif" size="4"><span class="style1">Wireless Advanced Settings</span></font><font color="#8FB4B4" face="Arial, Helvetica, sans-serif" size="4">
  <% if (getIndex("wlan_num") > 1) write("-wlan"+(getIndex("wlan_idx")+1)); %>
  </font>

<form action=/goform/formAdvanceSetup method=POST name="advanceSetup">
<table border=0 width="500" cellspacing=4 cellpadding=0>
  <tr><hr size=1 noshade align=top></tr>
    <tr>
      <td width="30%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2> <span class="style3">Authentication Type:</span></td>
      <td width="70%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2>
   	  <input type="radio" name="authType" value="open" <% if (getIndex("authType")==0) write("checked"); %>>
   	  <span class="style4">Open System</span>&nbsp;&nbsp;
   	  <input type="radio" name="authType" value="shared" <% if (getIndex("authType")==1) write("checked"); %>>
   	  <span class="style4">Shared Key</span>&nbsp;&nbsp;
   	  <input type="radio" name="authType" value="both" <% if (getIndex("authType")==2) write("checked"); %>>
   	  <span class="style4">Auto</span></td>
    </tr>
    <tr>
      <td width="30%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><b class="style3">Fragment Threshold:</b></td>
      <td width="70%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><input type="text" name="fragThreshold" size="10" maxlength="4" value=<% getInfo("fragThreshold"); %>>
        <span class="style4">(256-2346)</span></td>
    </tr>
    <tr>
      <td width="30%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><b class="style3">RTS Threshold:</b></td>
      <td width="70%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><input type="text" name="rtsThreshold" size="10" maxlength="4" value=<% getInfo("rtsThreshold"); %>>
        <span class="style4">(0-2347)</span></td>
    </tr>
    <tr>
      <td width="30%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><b class="style3">Beacon Interval:</b></td>
      <td width="70%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><input type="text" name="beaconInterval" size="10" maxlength="4" value=<% getInfo("beaconInterval"); %>>
        <span class="style4"> (20-1024 ms)</span></td>
    </tr>
    <tr>
      <td width="30%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><b class="style3">Inactivity Time:</b></td>
      <td width="70%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><input type="text" name="inactivityTime" size="10" value=<% getInfo("inactivityTime"); %>>
        <span class="style4"> (100-60480000 ms)</span></td>
    </tr>

    <tr>
      <td width="30%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><b class="style3">Data Rate:</b></td>
      <td width="70%"><select size="1" name="txRate">
	<SCRIPT>
	<%
	    band = getIndex("band");
	    auto=getIndex("rateAdaptiveEnabled")
 	    txrate = getIndex("fixTxRate");
	    write ("band=" + band + "\n");
 	    write ("txrate=" + txrate + "\n");
 	    write ("auto=" + auto + "\n");
	%>

	rate_mask = [3,1,1,1,1,2,2,2,2,2,2,2,2];
	rate_name =["Auto","1M","2M","5.5M","11M","6M","9M","12M","18M","24M","36M","48M","54M"];
	mask=0;
	if (auto)
		txrate=0;
	if (band & 1)
		mask |= 1;
	if ((band&2) || (band&4))
		mask |= 2;
	defidx=0;
	for (idx=0, i=0; i<=12; i++) {
		if (rate_mask[i] & mask) {
			if (i == 0)
				rate = 0;
			else
				rate = (1 << (i-1));
			if (txrate == rate)
				defidx = idx;
			document.write('<option value="' + i + '">' + rate_name[i] + '\n');
			idx++;
		}
	}
	document.advanceSetup.txRate.selectedIndex=defidx;

	</SCRIPT>
	</select>
     </td>
   </tr>

  <!-- for WiFi test, start --
    <tr>
      <td width="30%"><font size=2><b>Tx Operation Rate:</b></td>
      <td width="70%"><font size=2>
        <input type="checkbox" name="operRate1M" value="1M"<% if (getIndex("operRate") & 1) write("checked"); %>>1M&nbsp;&nbsp;&nbsp;
        <input type="checkbox" name="operRate2M" value="2M"<% if (getIndex("operRate") & 2) write("checked"); %>>2M&nbsp;&nbsp;
	<input type="checkbox" name="operRate5M" value="5M"<% if (getIndex("operRate") & 4) write("checked"); %>>5.5M&nbsp;&nbsp;
        <input type="checkbox" name="operRate11M" value="11M"<% if (getIndex("operRate") & 8) write("checked") ;%>>11M&nbsp;&nbsp;
	<input type="checkbox" name="operRate6M" value="6M"<% if (getIndex("operRate") & 16) write("checked"); %>>6M&nbsp;&nbsp;
        <input type="checkbox" name="operRate9M" value="9M"<% if (getIndex("operRate") & 32) write("checked") ;%>>9M&nbsp;&nbsp;
       <br>
        <input type="checkbox" name="operRate12M" value="12M"<% if (getIndex("operRate") & 64) write("checked"); %>>12M&nbsp;&nbsp;
        <input type="checkbox" name="operRate18M" value="18M"<% if (getIndex("operRate") & 128) write("checked"); %>>18M&nbsp;&nbsp;
	<input type="checkbox" name="operRate24M" value="24M"<% if (getIndex("operRate") & 256) write("checked"); %>>24M&nbsp;&nbsp;
        <input type="checkbox" name="operRate36M" value="36M"<% if (getIndex("operRate") & 512) write("checked") ;%>>36M&nbsp;&nbsp;
	<input type="checkbox" name="operRate48M" value="48M"<% if (getIndex("operRate") & 1024) write("checked"); %>>28M&nbsp;&nbsp;
        <input type="checkbox" name="operRate54M" value="54M"<% if (getIndex("operRate") & 2048) write("checked") ;%>>54M&nbsp;&nbsp;
       </td>
    </tr>
    <tr>
      <td width="30%"><font size=2><b>Tx Basic Rate:</b></td>
      <td width="70%"><font size=2>
        <input type="checkbox" name="basicRate1M" value="1M"<% if (getIndex("basicRate") & 1) write("checked"); %>>1M&nbsp;&nbsp;&nbsp;
        <input type="checkbox" name="basicRate2M" value="2M"<% if (getIndex("basicRate") & 2) write("checked"); %>>2M&nbsp;&nbsp;
	<input type="checkbox" name="basicRate5M" value="5M"<% if (getIndex("basicRate") & 4) write("checked"); %>>5.5M&nbsp;&nbsp;
        <input type="checkbox" name="basicRate11M" value="11M"<% if (getIndex("basicRate") & 8) write("checked"); %>>11M&nbsp;&nbsp;
      	<input type="checkbox" name="basicRate6M" value="6M"<% if (getIndex("basicRate") & 16) write("checked"); %>>6M&nbsp;&nbsp;
        <input type="checkbox" name="basicRate9M" value="9M"<% if (getIndex("basicRate") & 32) write("checked") ;%>>9M&nbsp;&nbsp;
       <br>
        <input type="checkbox" name="basicRate12M" value="12M"<% if (getIndex("basicRate") & 64) write("checked"); %>>12M&nbsp;&nbsp;
        <input type="checkbox" name="basicRate18M" value="18M"<% if (getIndex("basicRate") & 128) write("checked"); %>>18M&nbsp;&nbsp;
	<input type="checkbox" name="basicRate24M" value="24M"<% if (getIndex("basicRate") & 256) write("checked"); %>>24M&nbsp;&nbsp;
        <input type="checkbox" name="basicRate36M" value="36M"<% if (getIndex("basicRate") & 512) write("checked") ;%>>36M&nbsp;&nbsp;
	<input type="checkbox" name="basicRate48M" value="48M"<% if (getIndex("basicRate") & 1024) write("checked"); %>>28M&nbsp;&nbsp;
        <input type="checkbox" name="basicRate54M" value="54M"<% if (getIndex("basicRate") & 2048) write("checked") ;%>>54M&nbsp;&nbsp;
       </td>
    </tr>
    <tr>
      <td width="30%"><font size=2><b>DTIM Period:</b></td>
      <td width="70%"><font size=2><input type="text" name="dtimPeriod" size="5" maxlength="3" value=<% getInfo("dtimPeriod"); %>>(1-255)</td>
    </tr>

-- for WiFi test, end -->

    <tr>
      <td width="30%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><b class="style3">Preamble Type:</b></td>
      <td width="70%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2>
      <input type="radio" value="long" name="preamble"<% if (getIndex("preamble")==0) write("checked"); %>>
      <span class="style4">Long Preamble</span>&nbsp;&nbsp;
      <input type="radio" name="preamble" value="short"<% if (getIndex("preamble")==1) write("checked"); %>>
      <span class="style4">Short Preamble</span></td>
    </tr>
    <tr>
      <td width="30%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><b class="style3">Broadcast SSID:</b></td>
      <td width="70%"><span class="style4"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2>
          <input type="radio" name="hiddenSSID" value="no"<% if (getIndex("hiddenSSID")==0) write("checked"); %>>
          Enabled&nbsp;&nbsp;
          <input type="radio" name="hiddenSSID" value="yes"<% if (getIndex("hiddenSSID")==1) write("checked"); %>>
        Disabled</span></td>
    </tr>
    <tr>
      <td width="30%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><b class="style3">IAPP:</b></td>
      <td width="70%"><span class="style4"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2>
          <input type="radio" name="iapp" value="yes"<% if (getIndex("iappDisabled")==0) write("checked"); %>>
          Enabled&nbsp;&nbsp;
          <input type="radio" name="iapp" value="no"<% if (getIndex("iappDisabled")==1) write("checked"); %>>
        Disabled</span></td>
    </tr>
    <tr>
      <td width="30%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><b class="style3">802.11g Protection:</b></td>
      <td width="70%"><span class="style4"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2>
          <input type="radio" name="11g_protection" value="yes"<% if (getIndex("protectionDisabled")==0) write("checked"); %>>
          Enabled&nbsp;&nbsp;
          <input type="radio" name="11g_protection" value="no"<% if (getIndex("protectionDisabled")==1) write("checked"); %>>
        Disabled</span></td>
    </tr>

    <tr>
      <td width="30%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><b class="style3">Tx Power Level:</b></td>
      <td width="70%"><select size="1" name="txPower">
	    <option value="0">Highest (~16dBm)</option>
	    <option value="1">High (~15dBm)</option>
	    <option value="3">Middle (~13dBm)</option>
	    <option value="6">Low (~10dBm)</option>
	    <option value="13">Lowest (~3dBm)</option>
	</select>
	<SCRIPT>
	<%
	    txp = getIndex("txPower");
 	    write ("txp=" + txp + "\n");
	%>
	switch(txp) {
	case 0:
	    document.advanceSetup.txPower.selectedIndex=0;
	    break;
	case 1:
	    document.advanceSetup.txPower.selectedIndex=1;
	    break;
	case 3:
	    document.advanceSetup.txPower.selectedIndex=2;
	    break;
	case 6:
	    document.advanceSetup.txPower.selectedIndex=3;
	    break;
	case 13:
	    document.advanceSetup.txPower.selectedIndex=4;
	    break;

	    }

	</SCRIPT>
     </td>
   </tr>
   <tr>
      <td width="100%" colspan=2><input onclick="func_watchdog(document.advanceSetup);" type="checkbox" name="watchdogEnabled" value="ON" <% if (getIndex("watchdogEnabled")==1) write("checked"); %>>&nbsp;&nbsp;
      <font face="Arial, Helvetica, sans-serif" color="#000000" size=2><b class="style3">Enable WatchDog</b>
   </td>
   </tr>
   <tr>
      <td width="30%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><b class="style3">Watch Interval:</b></td>
      <td width="70%"><span class="style4"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2>
          <input type="text" name="watchdogInterval" size="5" maxlength="2" value="<% getInfo("watchdogInterval"); %>">
          <span class="style4"> (1-60 minutes)</span>
      </td>
    </tr>
    <tr>
      <td width="30%"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2><b class="style3">Watch Host:</b></td>
      <td width="70%"><span class="style4"><font face="Arial, Helvetica, sans-serif" color="#000000" size=2>
          <input type="text" name="watchdogIpaddr" size="15" maxlength="15" value="<% getInfo("watchdogIpaddr"); %>">
      </td>
    </tr>

  </table>
  <p>
  <input type="submit" value="Apply Changes" name="save" onClick="return saveChanges()">&nbsp;&nbsp;
  <input type="reset" value="  Reset  " name="reset">&nbsp;&nbsp;&nbsp;
  <input type="hidden" value="/WLadvsetting_content.asp" name="submit-url">
  </p>
</form>
</blockquote>
</body>

</html>

