<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Wireless Security Setup</title>
<script type="text/javascript" src="common.js"> </script>
<style>
.on {display:on}
.off {display:none}
body {
	background-color: #CBE9EF;
}
</style>
<script>
var defPskLen=new Array()
var defPskFormat=new Array();
var autoconf=new Array();
var wlan_idx= <% write(getIndex("wlan_idx")); %> ;
autoconf[wlan_idx]= 0;

function getDigit(str, num)
{
  i=1;
  if ( num != 1 ) {
  	while (i!=num && str.length!=0) {
		if ( str.charAt(0) == '.' ) {
			i++;
		}
		str = str.substring(1);
  	}
  	if ( i!=num )
  		return -1;
  }
  for (i=0; i<str.length; i++) {
  	if ( str.charAt(i) == '.' ) {
		str = str.substring(0, i);
		break;
	}
  }
  if ( str.length == 0)
  	return -1;
  d = parseInt(str, 10);
  return d;
}

function checkDigitRange(str, num, min, max)
{
  d = getDigit(str,num);
  if ( d > max || d < min )
      	return false;
  return true;
}


function checkDigitRange(str, num, min, max)
{
  d = getDigit(str,num);
  if ( d > max || d < min )
      	return false;
  return true;
}


function checkIpAddr(field, msg)
{
  if (field.value=="") {
	alert("IP address cannot be empty! It should be filled with 4 digit numbers as xxx.xxx.xxx.xxx.");
	field.value = field.defaultValue;
	field.focus();
	return false;
  }
   if ( validateKey(field.value) == 0) {
      alert(msg + ' value. It should be the decimal number (0-9).');
      field.value = field.defaultValue;
      field.focus();
      return false;
   }
   if ( !checkDigitRange(field.value,1,0,255) ) {
      alert(msg+' range in 1st digit. It should be 0-255.');
      field.value = field.defaultValue;
      field.focus();
      return false;
   }
   if ( !checkDigitRange(field.value,2,0,255) ) {
      alert(msg + ' range in 2nd digit. It should be 0-255.');
      field.value = field.defaultValue;
      field.focus();
      return false;
   }
   if ( !checkDigitRange(field.value,3,0,255) ) {
      alert(msg + ' range in 3rd digit. It should be 0-255.');
      field.value = field.defaultValue;
      field.focus();
      return false;
   }
   if ( !checkDigitRange(field.value,4,1,254) ) {
      alert(msg + ' range in 4th digit. It should be 1-254.');
      field.value = field.defaultValue;
      field.focus();
      return false;
   }
   return true;
}


function validateKey(str)
{
   for (var i=0; i<str.length; i++) {
    if ( (str.charAt(i) >= '0' && str.charAt(i) <= '9') ||
    		(str.charAt(i) == '.' ) )
			continue;
	return 0;
  }
  return 1;
}

function validateKey_wep(form, idx, str, len, wlan_id)
{
 if (idx >= 0) {
    if (form.elements["defaultTxKeyId"+wlan_id].selectedIndex==idx && str.length==0) {
	alert('The encryption key you selected as the \'Tx Default Key\' cannot be blank.');
	return 0;
    }
    if (str.length ==0)
  	return 1;

    if ( str.length != len) {
  	idx++;
	alert('Invalid length of Key ' + idx + ' value. It should be ' + len + ' characters.');
	return 0;
    }
  }
  else {
	if ( str.length != len) {
		alert('Invalid length of WEP Key value. It should be ' + len + ' characters.');
		return 0;
  	}
  }
  if ( str == "*****" ||
       str == "**********" ||
       str == "*************" ||
       str == "**************************" )
       return 1;

  if (form.elements["format"+wlan_id].selectedIndex==0)
       return 1;

  for (var i=0; i<str.length; i++) {
    if ( (str.charAt(i) >= '0' && str.charAt(i) <= '9') ||
			(str.charAt(i) >= 'a' && str.charAt(i) <= 'f') ||
			(str.charAt(i) >= 'A' && str.charAt(i) <= 'F') )
			continue;

	alert("Invalid key value. It should be in hex number (0-9 or a-f).");
	return 0;
  }

  return 1;
}

function check_wpa_psk(form, wlan_id)
{
  	var str = form.elements["pskValue"+wlan_id].value;
	if (form.elements["pskFormat"+wlan_id].selectedIndex==1) {
		if (str.length != 64) {
			alert('Pre-Shared Key value should be 64 characters.');
			form.elements["pskValue"+wlan_id].focus();
			return false;
		}
		takedef = 0;
		if (defPskFormat[wlan_id] == 1 && defPskLen[wlan_id] == 64) {
			for (var i=0; i<64; i++) {
    				if ( str.charAt(i) != '*')
					break;
			}
			if (i == 64 )
				takedef = 1;
  		}
		if (takedef == 0) {
			for (var i=0; i<str.length; i++) {
    				if ( (str.charAt(i) >= '0' && str.charAt(i) <= '9') ||
					(str.charAt(i) >= 'a' && str.charAt(i) <= 'f') ||
					(str.charAt(i) >= 'A' && str.charAt(i) <= 'F') )
					continue;
				alert("Invalid Pre-Shared Key value. It should be in hex number (0-9 or a-f).");
				form.elements["pskValue"+wlan_id].focus();
				return false;
  			}
		}
	}
	else {
		if (str.length < 8) {
			alert('Pre-Shared Key value should be set at least 8 characters.');
			form.elements["pskValue"+wlan_id].focus();
			return false;
		}
		if (str.length > 63) {
			alert('Pre-Shared Key value should be less than 64 characters.');
			form.elements["pskValue"+wlan_id].focus();
			return false;
		}
	}
  return true;
}

function saveChanges_wpa(form, wlan_id)
{
  method = form.elements["method"+wlan_id] ;
  wpaAuth= form.elements["wpaAuth"+wlan_id] ;
  if (method.selectedIndex>=2 && (wpaAuth.value == "psk" || wpaAuth[1].checked))
	return check_wpa_psk(form, wlan_id);

    if (form.elements["use1x"+wlan_id].value != "OFF" && form.elements["radiusPort"+wlan_id].disabled == false ) {
	    if (form.elements["radiusPort"+wlan_id].value=="") {
		    alert("RADIUS Server port number cannot be empty! It should be a decimal number between 1-65535.");
		    form.elements["radiusPort"+wlan_id].focus();
		    return false;
  	    }
	    if (validateKey(form.elements["radiusPort"+wlan_id].value)==0) {
		    alert("Invalid port number of RADIUS Server! It should be a decimal number between 1-65535.");
		    form.elements["radiusPort"+wlan_id].focus();
		    return false;
	    }
            port = parseInt(form.elements["radiusPort"+wlan_id].value, 10);

        if (port > 65535 || port < 1) {
		    alert("Invalid port number of RADIUS Server! It should be a decimal number between 1-65535.");
		    form.elements["radiusPort"+wlan_id].focus();
		    return false;
  	    }

	    if ( checkIpAddr(form.elements["radiusIP"+wlan_id], 'Invalid RADIUS Server IP address') == false )
	        return false;

	    // added by Eason - 2005/06/17 - for accounting setting
	    if (form.elements["useAccount"+wlan_id].checked) {
	        if (form.elements["accountPort"+wlan_id].value=="") {
		        alert("Accounting RADIUS Server port number cannot be empty! It should be a decimal number between 1-65535.");
		        form.elements["accountPort"+wlan_id].focus();
		        return false;
  	        }
	        if (validateKey(form.elements["accountPort"+wlan_id].value)==0) {
		        alert("Invalid port number of Accounting RADIUS Server! It should be a decimal number between 1-65535.");
		        form.elements["accountPort"+wlan_id].focus();
		        return false;
	        }
                port = parseInt(form.elements["accountPort"+wlan_id].value, 10);

            if (port > 65535 || port < 1) {
	    	    alert("Invalid port number of Accounting RADIUS Server! It should be a decimal number between 1-65535.");
		        form.elements["accountPort"+wlan_id].focus();
		        return false;
  	        }

	        if ( checkIpAddr(form.elements["accountIP"+wlan_id], 'Invalid Accounting RADIUS Server IP address') == false )
	            return false;
	    }

    }

   return true;
}
function disableCheckBox (checkBox) {
  if (!checkBox.disabled) {
    checkBox.disabled = true;
    if (!document.all && !document.getElementById) {
      checkBox.storeChecked = checkBox.checked;
      checkBox.oldOnClick = checkBox.onclick;
      checkBox.onclick = preserve;
    }
  }
}


function disableRadioGroup (radioArrOrButton)
{
  if (radioArrOrButton.type && radioArrOrButton.type == "radio") {
 	var radioButton = radioArrOrButton;
 	var radioArray = radioButton.form[radioButton.name];
  }
  else
 	var radioArray = radioArrOrButton;
 	radioArray.disabled = true;
 	for (var b = 0; b < radioArray.length; b++) {
 	if (radioArray[b].checked) {
 		radioArray.checkedElement = radioArray[b];
 		break;
	}
  }
  for (var b = 0; b < radioArray.length; b++) {
 	radioArray[b].disabled = true;
 	radioArray[b].checkedElement = radioArray.checkedElement;
  }
}

function enableRadioGroup (radioArrOrButton)
{
  if (radioArrOrButton.type && radioArrOrButton.type == "radio") {
 	var radioButton = radioArrOrButton;
 	var radioArray = radioButton.form[radioButton.name];
  }
  else
 	var radioArray = radioArrOrButton;

  radioArray.disabled = false;
  radioArray.checkedElement = null;
  for (var b = 0; b < radioArray.length; b++) {
 	radioArray[b].disabled = false;
 	radioArray[b].checkedElement = null;
  }
}

function disableButton (button) {
  //if (verifyBrowser() == "ns")
  //	return;
  if (document.all || document.getElementById)
    button.disabled = true;
  else if (button) {
    button.oldOnClick = button.onclick;
    button.onclick = null;
    button.oldValue = button.value;
    button.value = 'DISABLED';
  }
}

function enableButton (button) {
  //if (verifyBrowser() == "ns")
  //	return;
  if (document.all || document.getElementById)
    button.disabled = false;
  else if (button) {
    button.onclick = button.oldOnClick;
    button.value = button.oldValue;
  }
}

function enableCheckBox (checkBox)
{
  if (checkBox.disabled) {
    checkBox.disabled = false;
    if (!document.all && !document.getElementById)
      checkBox.onclick = checkBox.oldOnClick;
  }
}

function disableTextField (field) {
  if (document.all || document.getElementById)
    field.disabled = true;
  else {
    field.oldOnFocus = field.onfocus;
    field.onfocus = skip;
  }
}

function enableTextField (field) {
  if (document.all || document.getElementById)
    field.disabled = false;
  else {
    field.onfocus = field.oldOnFocus;
  }
}

function check_radius_state()
{
  form = document.formEncrypt ;
  method = form.elements["method"+wlan_idx];
  use1x = form.elements["use1x"+wlan_idx];
  wpaAuth = form.elements["wpaAuth"+wlan_idx];
  useaccount = form.elements["useAccount"+wlan_idx];
  if ((method.selectedIndex<2 && use1x.checked) || (method.selectedIndex>=2 && wpaAuth[0].checked)) {
	enableTextField(form.elements["radiusPort"+wlan_idx]);
  	enableTextField(form.elements["radiusIP"+wlan_idx]);
  	enableTextField(form.elements["radiusPass"+wlan_idx]);
  	enableTextField(form.elements["useAccount"+wlan_idx]);
  	// added by Eason - 2005/06/17 - for accounting setting
  	enableCheckBox(form.elements["useAccount"+wlan_idx]);
  	if(useaccount.checked) {
  	    enableTextField(form.elements["accountPort"+wlan_idx]);
  	    enableTextField(form.elements["accountIP"+wlan_idx]);
  	    enableTextField(form.elements["accountPass"+wlan_idx]);
  	}
  	else {
  	    disableTextField(form.elements["accountPort"+wlan_idx]);
  	    disableTextField(form.elements["accountIP"+wlan_idx]);
  	    disableTextField(form.elements["accountPass"+wlan_idx]);
  	}
  }
  else {
  	disableTextField(form.elements["radiusPort"+wlan_idx]);
  	disableTextField(form.elements["radiusIP"+wlan_idx]);
  	disableTextField(form.elements["radiusPass"+wlan_idx]);
  	// added by Eason - 2005/06/17 - for accounting setting
  	disableTextField(form.elements["accountPort"+wlan_idx]);
  	disableTextField(form.elements["accountIP"+wlan_idx]);
  	disableTextField(form.elements["accountPass"+wlan_idx]);
  	disableCheckBox(form.elements["useAccount"+wlan_idx]);
  }
}

function check_wepbutton_state()
{
  form = document.formEncrypt ;
  method = form.elements["method"+wlan_idx];
  use1x = form.elements["use1x"+wlan_idx];
  if (method.selectedIndex==1 && !use1x.checked)
	enableButton(form.elements["wepKey"+wlan_idx]);
  else
	disableButton(form.elements["wepKey"+wlan_idx]);
}

function check_nonWpaSupp_state()
{
  check_radius_state();
  check_wepbutton_state();
  check_wepKeyLen_state();
}

function check_wepKeyLen_state()
{
  form = document.formEncrypt ;
  method = form.elements["method"+wlan_idx];
  use1x = form.elements["use1x"+wlan_idx];
  if ((method.selectedIndex==1 && use1x.checked) )
  	enableRadioGroup(form.elements["wepKeyLen"+wlan_idx]);
  else
  	disableRadioGroup(form.elements["wepKeyLen"+wlan_idx]);
}

function disable_wpa()
{
  form = document.formEncrypt ;
  enableCheckBox(form.elements["use1x"+wlan_idx]);
  disableRadioGroup(form.elements["wpaAuth"+wlan_idx]);
  
  //added for WPA-AES encryption by Richard H., 2005/8/3 19:56
  disableRadioGroup(form.elements["ciphersuite"+wlan_idx]);

  disableTextField(form.elements["pskFormat"+wlan_idx]);
  disableTextField(form.elements["pskValue"+wlan_idx]);
  disableTextField(form.elements["lifeTime"+wlan_idx]);

  check_nonWpaSupp_state();
}

function enable_wpa()
{

  form = document.formEncrypt ;
  wpaAuth = form.elements["wpaAuth"+wlan_idx];
  disableCheckBox(form.elements["use1x"+wlan_idx]);
  enableRadioGroup(wpaAuth);
 
 	//added for WPA-AES encryption by Richard H., 2005/8/3 19:56
  method = form.elements["method"+wlan_idx];
  if (method.selectedIndex==2)
		enableRadioGroup(form.elements["ciphersuite"+wlan_idx]);
  else
  	disableRadioGroup(form.elements["ciphersuite"+wlan_idx]);
 	
  if (wpaAuth[1].checked)
  {
	enableTextField(form.elements["pskFormat"+wlan_idx]);
	enableTextField(form.elements["pskValue"+wlan_idx]);
 	enableTextField(form.elements["lifeTime"+wlan_idx]);

  }
  else
  {
	disableTextField(form.elements["pskFormat"+wlan_idx]);
	disableTextField(form.elements["pskValue"+wlan_idx]);
  	disableTextField(form.elements["lifeTime"+wlan_idx]);
  }
  check_nonWpaSupp_state();
}

function disable_all()
{
  form = document.formEncrypt ;
  disableTextField(form.elements["method"+wlan_idx]);
  disableCheckBox(form.elements["use1x"+wlan_idx]);
  disableRadioGroup(form.elements["wpaAuth"+wlan_idx]);
//  disableCheckBox(document.formEncrypt.tkip);
//  disableCheckBox(document.formEncrypt.aes);

	//added for WPA-AES encryption by Richard H., 2005/8/3 19:56
  disableRadioGroup(form.elements["ciphersuite"+wlan_idx]);

  disableTextField(form.elements["pskFormat"+wlan_idx]);
  disableTextField(form.elements["pskValue"+wlan_idx]);
  disableTextField(form.elements["lifeTime"+wlan_idx]);
  disableTextField(form.elements["radiusPort"+wlan_idx]);
  disableTextField(form.elements["radiusIP"+wlan_idx]);
  disableTextField(form.elements["radiusPass"+wlan_idx]);
  // added by Eason - 2005/06/17 - for accounting setting
  disableTextField(form.elements["accountPort"+wlan_idx]);
  disableTextField(form.elements["accountIP"+wlan_idx]);
  disableTextField(form.elements["accountPass"+wlan_idx]);
  disableCheckBox(form.elements["useAccount"+wlan_idx]);
  disableButton(form.elements["wepKey"+wlan_idx]);
  disableRadioGroup(form.elements["wepKeyLen"+wlan_idx]);
  disableCheckBox(form.elements["preAuth"+wlan_idx]);
  disableButton(document.formEncrypt.save);
  disableButton(document.formEncrypt.reset);
}

function checkState(wlan_id)
{

  form = document.formEncrypt ;
  if (autoconf[wlan_id]) {
  	disable_all();
  }
  else {
  	if (form.elements["method"+wlan_id].selectedIndex>=2)
  		enable_wpa();
  	else
  		disable_wpa();
  	//wpa2
  	//if(form.method.selectedIndex==2)
	//	form.ciphersuite.value = "tkip" ;
  	//else if(form.method.selectedIndex==3)
	//	form.ciphersuite.value = "aes" ;
  	//else if (form.method.selectedIndex==4) // mixed
	//	form.ciphersuite.value = "mixed" ;

  	if(form.elements["method"+wlan_id].selectedIndex >= 3 && wpaAuth[0].checked)
  		enableCheckBox(form.elements["preAuth"+wlan_id]);
  	else
  		disableCheckBox(form.elements["preAuth"+wlan_id]);
  }
}
function openWindow(url, windowName, wide, high) {
	if (document.all)
		var xMax = screen.width, yMax = screen.height;
	else if (document.layers)
		var xMax = window.outerWidth, yMax = window.outerHeight;
	else
	   var xMax = 640, yMax=500;
	var xOffset = (xMax - wide)/2;
	var yOffset = (yMax - high)/3;

	var settings = 'width='+wide+',height='+high+',screenX='+xOffset+',screenY='+yOffset+',top='+yOffset+',left='+xOffset+', resizable=yes, toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes';

	window.open( url, windowName, settings );
}

function wepKeyClick(url)
{
  form = document.formEncrypt ;
  if (form.elements["method"+wlan_idx].selectedIndex==1)
	openWindow(url, 'SetWEPKey', 620, 420 );
}
</script>
</head>
<style type="text/css">
<!--
body {
	background-color: #CBE9EF;
}
.style1 {color: #006699}
.style3 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 14px;
	color: #000000;
	font-weight: bold;
}
.style4 {font-family: Arial, Helvetica, sans-serif}
-->
</style>

<body>
<blockquote>
  <font face="Arial, Helvetica, sans-serif" size="4"><span class="style1">Wireless Security Setup</span></font><font color="#8FB4B4" face="Arial, Helvetica, sans-serif" size="4">
  <% if (getIndex("wlan_num") > 1) write("-wlan"+(getIndex("wlan_idx")+1)); %>
  </font>

<form action=/goform/formWlEncrypt method=POST name="formEncrypt">
<table border=0 width="580" cellspacing=4 cellpadding=0>
    <tr><hr size=1 noshade align=top></tr>
    <tr>
      <td width="35%" class="02"><span class="style3">Encryption:&nbsp;</span>
          <select size="1" name="method<% write(getIndex("wlan_idx")); %>" onChange="checkState(wlan_idx)">
            <option <% choice = getIndex("encrypt"); if (choice == 0) write("selected"); %> value="0">None</option>
            <option <% choice = getIndex("encrypt"); if (choice == 1) write("selected"); %> value="1">WEP</option>
            <option <% choice = getIndex("encrypt"); if (choice == 2) write("selected"); %> value="2">WPA</option>
            <option <% choice = getIndex("encrypt"); if (choice == 4) write("selected"); %> value="4">WPA2(AES)</option>
            <script>
	val = <% write(getIndex("wlanMode")); %>;
	if(val == 0 || val == 3) // AP mode
	  document.write('<option <% choice = getIndex("encrypt"); if (choice == 6) write("selected"); %> value="6">WPA2 Mixed</option>');
    </script>
          </select>
          <font color="#000000">
          <!--<select size="1" name="method<% write(getIndex("wlan_idx")); %>" onChange="checkState(wlan_idx)">
          </select>
          </font><font face="Arial, Helvetica, sans-serif" color="#000000">
          <select size="1" name="method<% write(getIndex("wlan_idx")); %>" onChange="checkState(wlan_idx)">
          </select>
          <select size="1" name="method<% write(getIndex("wlan_idx")); %>" onChange="checkState(wlan_idx)">
          </select>-->
          </font><font face="Arial, Helvetica, sans-serif" color="#000000" size="2"><!--<select size="1" name="method<% write(getIndex("wlan_idx")); %>" onChange="checkState(wlan_idx)">-->
          <!--<script>
	val = <% write(getIndex("wlanMode")); %>;
	if(val == 0 || val == 3) // AP mode
	  document.write('<option <% choice = getIndex("encrypt"); if (choice == 6) write("selected"); %> value="6">WPA2 Mixed</option>');
    </script>-->

        <!--</select>--></font></td>
        <!--</select>--></font></td>
      <td width="65%"><font size=2><input type="button" value="Set WEP Key" name="wepKey<% write(getIndex("wlan_idx")); %>" onClick="wepKeyClick('wlwep.asp')">
    </tr>
    <tr>
      <td width="35%" class="02" onClick="checkState(wlan_idx)"><b>
        <input type="checkbox" name="use1x<% write(getIndex("wlan_idx")); %>" value="ON"
        <% if (getIndex("enable1X")&1) write("checked");%> >
        <span class="style3">Use 802.1x Authentication</span></td>
      <td width="65%"><font face="Arial, Helvetica, sans-serif" color="#000000" size="2">
	  <input type="radio" name="wepKeyLen<% write(getIndex("wlan_idx")); %>" value="wep64" <% if ( getIndex("wep") != 2) write("checked"); %>>
	  </font><font face="Arial, Helvetica, sans-serif" size="2"><span class="style4">WEP 64bits</span></font><font face="Arial, Helvetica, sans-serif" color="#000000" size="2">&nbsp;
	  <input type="radio" name="wepKeyLen<% write(getIndex("wlan_idx")); %>" value="wep128"<% if ( getIndex("wep") == 2) write("checked"); %>>
	  </font><font face="Arial, Helvetica, sans-serif" size="2"><span class="style4">WEP 128bits</span></font> </td>
    </tr>
    <tr>
      <td width="35%" class="02"><span class="style3">WPA Authentication Mode:</span></td>
	<td width="65%"><font face="Arial, Helvetica, sans-serif" color="#000000" size="2">
	  <input type="radio" name="wpaAuth<% write(getIndex("wlan_idx")); %>" value="eap" onClick="checkState(wlan_idx)" <% if (getIndex("wpaAuth") & 1) write("checked"); %>>
	  </font><font face="Arial, Helvetica, sans-serif" size="2"><span class="style4">Enterprise (RADIUS)&nbsp;
	  <input type="radio" name="wpaAuth<% write(getIndex("wlan_idx")); %>" value="psk" onClick="checkState(wlan_idx)" <% if (getIndex("wpaAuth") & 2) write("checked"); %>>
	  Personal (Pre-Shared Key)
      </span></font>	</td>
    </tr>
    
<!--added for WPA-AES encryption by Richard H., 2005/8/3 19:56-->
    <tr>
      <td width="35%" class="02"><span class="style3">WPA Cipher Suite:</span></td>
       <td width="65%">
	<input type="radio" name="ciphersuite<% write(getIndex("wlan_idx")); %>" value="tkip" <% if ( getIndex("wpaCipher") != 2) write("checked"); %>>TKIP&nbsp;
  	<input type="radio" name="ciphersuite<% write(getIndex("wlan_idx")); %>" value="aes"  <% if ( getIndex("wpaCipher") == 2) write("checked"); %>>AES
	</td>
    </tr>
    
    <tr>
      <td width="35%" class="02"><span class="style3">Pre-Shared Key Format:</span> </td>
      <td width="65%"><font face="Arial, Helvetica, sans-serif" color="#000000" size="2"><select size="1" name="pskFormat<% write(getIndex("wlan_idx")); %>">
          <option value="0" <% if (getIndex("pskFormat")==0) write("selected");%>>Passphrase</option>
          <option value="1" <% if (getIndex("pskFormat")) write("selected");%>>Hex (64 characters)</option>
        </select></font></td>
    </tr>
    <tr>
      <td width="35%" class="02"><span class="style3">Pre-Shared Key:</span> </td>
      <td width="65%"><font face="Arial, Helvetica, sans-serif" color="#000000" size="2"><input type="text" name="pskValue<% write(getIndex("wlan_idx")); %>" size="32" maxlength="64" value=<% getInfo("pskValue");%>></font></td>
    </tr>
     <!-- Start Key Life Time add by Smoltz-->
    <tr>
      <td width="35%" class="02"><span class="style3">Group Key Life Time:</span> </td>
      <td width="65%"><font face="Arial, Helvetica, sans-serif" color="#000000" size="2"><input type="text" name="lifeTime<% write(getIndex("wlan_idx")); %>" size="10" maxlength="64" value=<% getInfo("groupRekeyTime");%>>
        </font><font face="Arial, Helvetica, sans-serif" size="2"><span class="style4">sec</span></font></td>
    </tr>
    <!-- End Key Life Time add by Smoltz-->

    <tr>
    	<td class="02"><b>
    	  <input type="checkbox" name="preAuth<% write(getIndex("wlan_idx")); %>" value="ON"
	<% if (getIndex("preAuth")&1) write("checked");%>>
        <span class="style3">Enable Pre-Authentication </span></td>
    </tr>
    <tr></tr><tr></tr><tr></tr>
    <tr>
      <td width="35%" class="02"><span class="style3">Authentication RADIUS Server:</span></td>
      <td width="65%">
        <font face="Arial, Helvetica, sans-serif" size="2"><span class="style4">Port</span></font><font face="Arial, Helvetica, sans-serif" color="#000000" size="2">
        <input type="text" name="radiusPort<% write(getIndex("wlan_idx")); %>" size="4" value=<% getInfo("rsPort"); %>>
        &nbsp;&nbsp; </font><font face="Arial, Helvetica, sans-serif" size="2"><span class="style4">IP address</span></font><font face="Arial, Helvetica, sans-serif" color="#000000" size="2">
<input type="text" name="radiusIP<% write(getIndex("wlan_idx")); %>" size="10" value=<% getInfo("rsIp"); %>>
&nbsp;&nbsp; </font><font face="Arial, Helvetica, sans-serif" size="2"><span class="style4">Password</span></font><font face="Arial, Helvetica, sans-serif" color="#000000" size="2">
<input type="password" name="radiusPass<% write(getIndex("wlan_idx")); %>" size="8" maxlength="31" value=<% getInfo("rsPassword"); %>>
        </font></td>
    </tr>
    <tr>
        <td class="02">
    	      <input type="checkbox" onClick="checkState(wlan_idx)" name="useAccount<% write(getIndex("wlan_idx")); %>" value="ON"
	        <% if (getIndex("accountRsEnabled")&1) write("checked");%>>
            <span class="style3">Enable Accounting </span></td>
    </tr>
    <tr>
      <td width="35%" class="02"><span class="style3">Accounting RADIUS Server:</span></td>
      <td width="65%">
        <font face="Arial, Helvetica, sans-serif" size="2"><span class="style4">Port</span></font><font face="Arial, Helvetica, sans-serif" color="#000000" size="2">
        <input type="text" name="accountPort<% write(getIndex("wlan_idx")); %>" size="4" value=<% getInfo("accountRsPort"); %>>
        &nbsp;&nbsp; </font><font face="Arial, Helvetica, sans-serif" size="2"><span class="style4">IP address</span></font><font face="Arial, Helvetica, sans-serif" color="#000000" size="2">
<input type="text" name="accountIP<% write(getIndex("wlan_idx")); %>" size="10" value=<% getInfo("accountRsIp"); %>>
&nbsp;&nbsp; </font><font face="Arial, Helvetica, sans-serif" size="2"><span class="style4">Password</span></font><font face="Arial, Helvetica, sans-serif" color="#000000" size="2">
<input type="password" name="accountPass<% write(getIndex("wlan_idx")); %>" size="8" maxlength="31" value=<% getInfo("accountRsPassword"); %>>
        </font></td>
    </tr>
    <tr><td colspan="2" width="100%" height="55"><font size=2><em>
    <script>
    	<% autoconf = getIndex("autoCfgEnabled");
      	   keyinstall = getIndex("autoCfgKeyInstall");
      	   mode = getIndex("wlanMode")
 	   if (mode == 2)
    	   	write("autoconf[wlan_idx]=1;\n");
    	   if (autoconf) {
    	   	if (keyinstall) {
 	    		if (mode == getIndex("autoCfgWlanMode"))
    	   			write("autoconf[wlan_idx]=1;\n");
    	   	}
    	   }
    	%>
    	if (!autoconf[wlan_idx])
    		document.write("<font face='Arial, Helvetica, sans-serif' color=#000000>Note: When encryption WEP is selected, you must set WEP key value.");
    	else
    		document.write("<font face='Arial, Helvetica, sans-serif'color=#000000>Note: If you want to change the setting, you must go to EasyConfig page to disable EasyConfig first.");
    </script>
    </em></font></td>
    </tr>
    <tr>
      
      <!--marked for WPA-AES encryption by Richard H., 2005/8/3 19:56
			<input type=hidden value="" name="ciphersuite<% write(getIndex("wlan_idx")); %>">
			-->
      
      <input type="hidden" value="/WLsecurity_content.asp" name="submit-url">
      <td width="100%" colspan="2"><input type="submit" value="Apply Changes" name="save" onClick="return saveChanges_wpa(document.formEncrypt, wlan_idx)">&nbsp;
        <input type="reset" value="Reset" name="reset"></td>
    </tr>
    <script>
    	checkState(wlan_idx);
	form = document.formEncrypt ;
    defPskLen[wlan_idx] = form.elements["pskValue"+wlan_idx].value.length;
	defPskFormat[wlan_idx] = form.elements["pskFormat"+wlan_idx].selectedIndex;
    </script>
  </table>
</form>
</blockquote>
</body>

</html>
