#!/bin/sh
#
# script file to start ntp client

TOOL=flash
GETMIB="$TOOL get"
NTPTMP=/tmp/ntp_tmp

NTPSERVER=/tmp/ntp_server

MAC_RECORD=/tmp/mac_bit
INDEX_RECORD=/tmp/index_bit
FAIL=/tmp/fail

eval `$GETMIB NTP_ENABLED`
eval `flash get NTP_SERVER_INDEX`
echo "SERVER_INDEX is $NTP_SERVER_INDEX"

#UPTIME_RECORD=/tmp/uptime_bit

mac_bit=`cat $MAC_RECORD`
#echo "mac_bit is $mac_bit"

index_bit=`cat $INDEX_RECORD`
#echo "index_bit is $index_bit"

if [ $NTP_ENABLED = 1 ]; then

	if [ "$NTP_SERVER_INDEX" = '0' ]; then

        echo Start NTP_NotZYXEL daemon
		while [ true ];
		do
			eval `$GETMIB NTP_TIMEZONE`
			TZ_STR=`echo $NTP_TIMEZONE | cut -d" " -f1`
			echo GMT$TZ_STR > /etc/TZ
			eval `$GETMIB NTP_SERVER_ID`
			eval `$GETMIB NTP_SERVER_IP1`
			eval `$GETMIB NTP_SERVER_IP2`
			if [ $NTP_SERVER_ID = 0 ];then
				ntpserver=$NTP_SERVER_IP1
			else
				ntpserver=$NTP_SERVER_IP2
			fi
			#ntpdate  $NTP_SERVER_IP #sleep 5 sec for next check
			ntpclient -s -h $ntpserver -i 5 > $NTPTMP
			if [ -n "`cat $NTPTMP`" ];then
				#echo ntp client success
				success=1
			else
				success=0
			fi
			if [ $success = 1 ] ;then
				sleep 3600
			else
				sleep 5
			fi
			#echo "NTP client retry ...."
		done &
		if [ -f $NTPTMP ]; then
			rm $NTPTMP
		fi

	fi

	if [ "$NTP_SERVER_INDEX" = '1' ]; then

		echo Start NTP_ZYXEL daemon

		if [ -f $MAC_RECORD ]; then
			ntpserverindex=$mac_bit
			rm $MAC_RECORD
		else
			ntpserverindex=0
		fi

		if [ -f $INDEX_RECORD ]; then
			ntpserverindex=$index_bit
			ntpserverindex=`expr $ntpserverindex + 1`
			rm $INDEX_RECORD
		fi

		while [ true ];
		do


			eval `$GETMIB NTP_TIMEZONE`
			TZ_STR=`echo $NTP_TIMEZONE | cut -d" " -f1`
			echo GMT$TZ_STR > /etc/TZ

			eval `$GETMIB NTP_SERVER_ID`
			eval `$GETMIB NTP_SERVER_IP2`

			#echo "$ntpserverindex"

			if [ $ntpserverindex = 0 ];then
				ntpserver="192.5.41.41"
			fi
			if [ $ntpserverindex = 1 ];then
				ntpserver="192.5.41.209"
			fi
			if [ $ntpserverindex = 2 ];then
				ntpserver="208.184.49.9"
			fi
			if [ $ntpserverindex = 3 ];then
				ntpserver="131.188.3.220"
			fi
			if [ $ntpserverindex = 4 ];then
				ntpserver="130.149.17.8"
			fi
			if [ $ntpserverindex = 5 ];then
				ntpserver="203.60.1.2"
			fi
			if [ $ntpserverindex = 6 ];then
				ntpserver="203.117.180.36"
			fi

			ntpserverindex=`expr $ntpserverindex + 1`

			if [ $ntpserverindex -gt 6 ];then
				ntpserverindex=0
			fi


			#echo "==$ntpserverindex"
			#echo "Ntpserver is $ntpserver"

			if [ $NTP_SERVER_ID != 0 ];then
				ntpserver=$NTP_SERVER_IP2
			fi

			#ntpdate  $NTP_SERVER_IP #sleep 5 sec for next check
			ntpclient -s -h $ntpserver -i 5 > $NTPTMP
			if [ -n "`cat $NTPTMP`" ];then
				#echo ntp client success
				echo $ntpserver > $NTPSERVER
				echo $ntpserverindex > $INDEX_RECORD
				success=1
				if [ -f $FAIL ]; then
					rm $FAIL
				fi

			else
				echo $ntpserverindex > $FAIL
				success=0
			fi
			if [ $success = 1 ] ;then
				sleep 3600
			else
				sleep 5
			fi
			#echo "NTP client retry ...."
		done &
		if [ -f $NTPTMP ]; then
			rm $NTPTMP
		fi

	fi

fi # NTP Enabled
